Name:          anari-sdk
Version:       0.12.0
Release:       1mamba
Summary:       ANARI Software Development Kit (SDK)
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/KhronosGroup/ANARI-SDK
Source:        https://github.com/KhronosGroup/ANARI-SDK.git/v%{version}/ANARI-SDK-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
ANARI Software Development Kit (SDK).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n ANARI-SDK-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/anariInfo
%{_bindir}/anariRenderTests

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libanari.so.*
%{_libdir}/libanari_library_debug.so
%{_libdir}/libanari_library_hecore.so
%{_libdir}/libanari_library_helide.so
%{_libdir}/libanari_library_sink.so
%{_libdir}/libanari_test_scenes.so
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/anari
%{_includedir}/anari/*
%dir %{_libdir}/cmake/anari-%{version}
%{_libdir}/cmake/anari-%{version}/anari*.cmake
%dir %{_libdir}/cmake/anari-%{version}/cmake
%{_libdir}/cmake/anari-%{version}/cmake/*.cmake
%{_libdir}/libanari.so
%{_libdir}/libanari_backend.a
%{_libdir}/libanari_static.a
%{_libdir}/libhelium.a
%dir %{_datadir}/anari
%dir %{_datadir}/anari/anari_viewer
%{_datadir}/anari/anari_viewer/*
%dir %{_datadir}/anari/code_gen
%dir %{_datadir}/anari/code_gen
%{_datadir}/anari/code_gen/*
%doc README.md

%changelog
* Mon Jan 20 2025 Automatic Build System <autodist@openmamba.org> 0.12.0-1mamba
- automatic version update by autodist

* Mon Jan 06 2025 Automatic Build System <autodist@openmamba.org> 0.11.1-2mamba
- added upstream patch to fix build on aarch64

* Wed Jan 01 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.1-1mamba
- package created using the webbuild interface
